<div class="basicSearch">
  <div class='btn-fixed-top-right'>
    <mb-button mbButtonSize="MEDIUM" mbButtonText="{{'common.button.uploadFile' | translate}}" *ngIf='objFunction?.create'
               mbButtonTextColor="#141ED2" (click)="doImportData()"></mb-button>
  </div>
  <app-loading *ngIf="isLoadingPage"></app-loading>

  <!-- Form Search -->
  <form nz-form [formGroup]="form" style="margin-bottom: 8px">
    <div nz-row [nzGutter]="[30,30]">
      <!--    Form tìm kiếm -->
      <!--Đơn vị-->
      <div nz-col nzXs='12' nzLg='6'>
        <org-data-picker
          mbLabelText="{{'partnership.pns-contract.searchForm.organization' | translate}}"
          [scope]="scope"
          [functionCode]="configType"
          formControlName='org'
        >
        </org-data-picker>
      </div>
      <!-- Mã nhân viên -->
      <div nz-col nzXs="12" nzLg="6">
        <mb-input-text
          formControlName="employeeCode"
          [mbMaxLength]="200"
          mbPlaceholderText="{{'partnership.pns-contract.searchForm.empCode' | translate}}"
          mbLabelText="{{'partnership.pns-contract.searchForm.empCode' | translate}}"
        ></mb-input-text>
      </div>

      <!-- Tên nhân viên -->
      <div nz-col nzXs="12" nzLg="6">
        <mb-input-text
          formControlName="fullName"

          [mbMaxLength]="200"
          mbPlaceholderText="{{'partnership.pns-contract.searchForm.empName' | translate}}"
          mbLabelText="{{'partnership.pns-contract.searchForm.empName' | translate}}"
        ></mb-input-text>
      </div>

      <!-- Trạng thái -->
      <div nz-col nzXs="12" nzLg="6">
        <mb-select-check-able
          [mbShowAction]="false"
          [mbDataSelects]="liquidationStatus"
          (mbEventEmit)="setFormValue($event, 'status')"
          formControlName="status"


          mbPlaceholder="{{'partnership.pns-contract.searchForm.status' | translate }}"
          mbLabelText="{{'partnership.pns-contract.searchForm.status' | translate}}"
        ></mb-select-check-able>
      </div>

      <div nz-col nzXs="12" nzLg="6">
        <mb-date-picker
          formControlName="fromDate"
          mbLabelText="{{'partnership.pns-contract.searchForm.lastWorkingFromDate' | translate}}"
          [mbType]="form.controls['fromDate'].errors ? 'error' : 'default'"
          [mbShowError]="form.controls['fromDate'].errors !== null"
          [mbErrors]="form.controls['fromDate'].errors"
          mbPlaceholderText="{{'partnership.pns-contract.searchForm.lastWorkingFromDate' | translate}}"
        >
        </mb-date-picker>
      </div>


      <div nz-col nzXs="12" nzLg="6">
        <mb-date-picker
          formControlName="toDate" mbLabelText="{{'partnership.pns-contract.searchForm.lastWorkingToDate' | translate}}"
          [mbType]="form.controls['toDate'].errors ? 'error' : 'default'"
          [mbShowError]="form.controls['toDate'].errors !== null"
          [mbErrors]="form.controls['toDate'].errors"
          [mbErrorDefs]="[{ errorName: 'toDateNotAfterFromDate', errorDescription: 'partnership.pns-contract.msg.toDateNotAfterFromDate' | translate: {'param': 'partnership.pns-contract.searchForm.lastWorkingToDate' | translate }}]"
          mbPlaceholderText="{{'partnership.pns-contract.searchForm.lastWorkingToDate' | translate}}"
        >
        </mb-date-picker>
      </div>
      <!--    End Form tìm kiếm-->
    </div>
    <div nz-row [nzGutter]="[30,30]" class='btn-center'>
      <div nz-col nzXs="24" nzLg="24">
        <mb-button
          mbButtonSize="SMALL"
          mbButtonAvailableStyle="SEARCH"
          mbButtonText="{{'partnership.pns-contract.label.search' | translate}}"
          (click)="doSearch(1)"
        ></mb-button>
        <mb-button
          mbButtonSize="MEDIUM"
          mbButtonType="BORDER"
          (click)="doExportData()"
        >
          <img src="/assets/icon/staff-manager/export_excel.svg" alt=""/>
        </mb-button>
      </div>
    </div>
  </form>
  <!--End: Form Search -->

  <div *ngIf='isInitTable'>
    <mb-table-wrap>
      <mb-table (changePageNum)='doSearch($event)' [tableConfig]='tableConfig' [tableData]='dataTable' (onDblClickNode)="doShowModalDetail($event)"></mb-table>
    </mb-table-wrap>
  </div>

</div>

<!--Hành động-->
<ng-template #actionTmpl let-liquidationId="liquidationId">
  <em nz-icon
    class="menu__item--btn"
    nz-button
    nzType="more"
    nzTheme="outline"
    nzTrigger="click"
    nz-dropdown
    [nzDropdownMenu]="menu"
  ></em>
  <nz-dropdown-menu #menu="nzDropdownMenu">
  <ul nz-menu class="btn___action-group">
    <em
      nz-button
      nz-menu-item
      (click)='openModalEdit(liquidationId)'
      [nzDisabled]='!objFunction?.edit'
    >
      <div class="menu__item">
        <em nz-icon nzType="edit" nzTheme="outline" style="margin-right: 10px"></em>
        <span>{{'partnership.pns-contract.label.edit' | translate}}</span>
      </div>
    </em>
    <em
      nz-button
      nz-menu-item
      (click)='onSyncClick(liquidationId)'
      [nzDisabled]='!objFunction?.edit'
    >
      <div class="menu__item">
        <em nz-icon nzType="sync" nzTheme="outline" style="margin-right: 10px"></em>
        <span>{{'partnership.pns-contract.label.sync' | translate}}</span>
      </div>
    </em>
    <em
      nz-button
      nz-menu-item
      nz-popconfirm
      nzPopconfirmTitle="{{'partnership.pns-contract.action.confirmDelete' | translate}}"
      nzCancelText="{{'partnership.pns-contract.action.cancel' | translate}}" nzOkType="primary"
      nzOkText="{{'partnership.pns-contract.action.yes' | translate}}"
      (nzOnConfirm)="onDeleteClick(liquidationId)"
      [nzDisabled]='!objFunction?.delete'
      nzPopconfirmPlacement="top"
    >
      <div class="menu__item">
        <em nz-icon nzType="delete" nzTheme="outline" style="margin-right: 10px"></em>
        <span>{{'partnership.pns-contract.label.delete' | translate}}</span>
      </div>
    </em>
  </ul>
  </nz-dropdown-menu>
</ng-template>

<ng-template #filesTmpl let-files='attachFiles'>
  <div *ngFor="let file of files">
    <a (click)="downloadFile(file)">{{file.fileName}}</a>
  </div>
</ng-template>

<import-file [isRequiredFileAttach]="true"
                [isMultiple]="true"
                [showContent]='isImportData'
                [urlApiDownloadTemp]='urlApiDownloadTemp'
                [urlApiImport]='urlApiImport'
                (onCloseModal)='doCloseImport($event)'>
</import-file>
<!--End: Hành động-->

<!-- Trạng thái -->
<ng-template #statusTmpl let-status='status'>
    <ng-container *ngFor='let item of constant.LIQUIDATION_CONSULT_STATUS'>
        <nz-tag [nzColor]="item.bgColor" [ngStyle]="{'color': item.color}" *ngIf='status === item.value'>{{item.label | translate}}</nz-tag>
    </ng-container>
</ng-template>
<!--End: Trạng thái-->
